<form [formGroup]="forma" (ngSubmit)="submit" #formControl="ngForm">
  <mat-card class="example-card">
    <mat-card-header>
      <div mat-card-avatar class="example-header-image"></div>
      <mat-card-title>Condición</mat-card-title>
    </mat-card-header>

    <mat-card-content>
      <div class="col px-md-5">
        <mat-form-field>
          <mat-label>Opción de condiciones</mat-label>
          <mat-select formControlName = "idGenerado" (selectionChange)="getIdGenerado($event.value)">
            <mat-option *ngFor="let tipo of tipos" [value]="tipo">
              {{ tipo.nombre }}
            </mat-option>
          </mat-select>
        </mat-form-field>
       </div>
      <div class="row mx-md-5">
        <div class="col px-md-5">
          <label>ID Condición: {{ idGenera }}</label>
        </div>
        <div class="col px-md-5">
          <mat-form-field>
             <textarea matInput minlength="10" maxlength="150"  rows="3" placeholder="Tipo / titulo" 
             #titulo formControlName="titulo" class="form-control" required></textarea>
             <mat-hint align="start"><strong>Registra Tipo/Titulo</strong> </mat-hint>
             <mat-hint align="end">{{ titulo.value.length }} / 150</mat-hint>
             <mat-error *ngIf="forma.get('titulo').hasError('required')">Dato requerido</mat-error>
             <mat-error *ngIf="forma.get('titulo').hasError('minlength')">Dato debe tener al menos 10 caracteres</mat-error>
             <!-- mat-error *ngIf="formControl.invalid">{{ getErrorMessage() }}</mat-error -->
          </mat-form-field>
        </div>

        <div class="col px-md-5">
           <mat-form-field>
             <textarea rows="3" matInput placeholder="Descripción"
             #descripcion formControlName="descripcion" class="form-control" minlength="10" maxlength="300" required></textarea>
             <mat-hint align="start"><strong>Registra Descripción</strong> </mat-hint>
             <mat-hint align="end">{{ descripcion.value.length }} / 300</mat-hint>
             <mat-error *ngIf="forma.get('descripcion').hasError('required')">Dato requerido</mat-error>
             <mat-error *ngIf="forma.get('descripcion').hasError('minlength')">Dato debe tener al menos 10 caracteres</mat-error>
           </mat-form-field>
         </div>
     </div>
    </mat-card-content>

    <mat-card-actions>
      <div class="row mx-md-5">
        <div class="col px-md-5">
          <button [type]="submit" mat-raised-button color="primary" class="custom"
          [disabled]="!formControl.valid" (click)="create()">Grabar</button>
        </div>
        <div class="col px-md-5">
          <button mat-raised-button color="warm" class="custom" (click)="onNoClick()" type="button" mat-raised-button color="warn">Cancelar</button>
        </div>
      </div>
    </mat-card-actions>
  </mat-card>
</form>
